hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robert Joseph Evans (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-8527) Dont use JDK6 tools as dependency
Date Mon, 25 Jun 2012 13:51:43 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-8527?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13400482#comment-13400482

Robert Joseph Evans commented on HADOOP-8527:

I may be misremembering things, but I thought that on some OS/JDK versions that this was needed.
 I think MacOS X was one of these, but I am not certain of this.  Before removing it, we really
should check with [~tucu00] who wrote most of the pom stuff to see if he remembers anything
about that.

Again I could be totally wrong about this and if so please removing extra dependencies is
always a good thing in my book.
> Dont use JDK6 tools as dependency
> ---------------------------------
>                 Key: HADOOP-8527
>                 URL: https://issues.apache.org/jira/browse/HADOOP-8527
>             Project: Hadoop Common
>          Issue Type: Bug
>          Components: build
>    Affects Versions: 0.23.0, 2.0.0-alpha, 3.0.0
>            Reporter: Radim Kolar
>         Attachments: hadoop-jdk.tools.txt
> In hadoop-project/pom.xml there is dependency on jdk.tools/jdk.tools/1.6 with system
scope. This dependency breaks maven-assembly jar-with-dependencies because it tries to find
artifact which does not exists in maven repo.
> It should not be needed. if hadoop is build with JRE, then compile fails. Adding dependency
on jdk.tools does not improve situation.

This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira


View raw message